Name:           d-haven-event
Version:        1.1.0
Release:        %mkrel 1
Summary:        D-Haven Event based processing
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://d-haven.org/
Source0:        http://d-haven.org/svn/open/dist/d-haven-event/src/d-haven-event-%{version}-src.tar.gz
Source1:        d-haven-event-1.1.0-navigation.xml
Source2:        d-haven-event-1.1.0.pom
Patch0:         d-haven-event-1.1.0-build_xml.patch
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  concurrent
BuildRequires:  java-devel
BuildRequires:  junit
BuildRequires:  jpackage-utils
Requires:       concurrent
Requires:       jpackage-utils
BuildArch:      noarch

%description
D-Haven Event is a library designed to make it easier to
develop event based processing systems.  It also includes
a CommandManager to handle certain activities behind the
scenes in a controlled number of background threads.  The
library has been fully tested, and all dependencies have
been brought to a minimum.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
D-Haven Event is a library designed to make it easier to
develop event based processing systems.

This package contains javadoc for %{name}.

%prep
%setup -q -n d-haven-event-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
%patch0 -p0

# this tests fails
rm -rf src/test/org/d_haven/event/impl/test/TestRateLimitingPredicate.java
rm -rf src/test/org/d_haven/event/command/test/TestProcessorBoundThreadPolicy.java

mkdir xdocs
cp %{SOURCE1} xdocs/navigation.xml

%build

export CLASSPATH=$(build-classpath concurrent junit ant/ant-junit)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant \
   -Dsource=1.4 \
   -Dbuild.sysclasspath=only \
   jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/d-haven-event-%{version}.jar \
  %{buildroot}%{_javadir}/

install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-d-haven-event.pom
%add_maven_depmap JPP-d-haven-event.pom d-haven-event.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_javadocdir}/d-haven-event-%{version}
cp -pr target/docs/apidocs/* %{buildroot}%{_javadocdir}/d-haven-event-%{version}
ln -s d-haven-event-%{version} %{buildroot}%{_javadocdir}/d-haven-event

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/d-haven-event-%{version}.jar
%{_javadir}/d-haven-event.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/d-haven-event-%{version}
%{_javadocdir}/d-haven-event



%changelog

* Sun Nov 06 2011 gil <gil> 1.1.0-1.mga2
+ Revision: 164105
- imported package d-haven-event

